BEGIN dggERba 

//////////////////////////////////////////////////////////////////
///Bandit leader dialogue
///////////////////////////////////////////////////////////////////

IF ~Global("ggERMQstep", "Global", 8)~ THEN BEGIN 0
	SAY ~Hey! Who are you and why are you here?~
	+~Global("GGERimmunity","GLOBAL",1)~+ ~I'm here to tell you to surrender. Brega will spare you if you tell him about your Zhentarim connections.~ GOTO 1
	+~!Global("GGERimmunity","GLOBAL",1)~+ ~I'm here to tell you to surrender. Brega will spare you if you tell him about your Zhentarim connections.~ GOTO 2
	//liar liar pants on fire u thief
	++ ~shut up and draw your weapons.~ GOTO 3
END

IF ~~ THEN BEGIN 2
	SAY ~I doubt that! Either the Black Network kills us for betraying them, either Brega executes us, or we kill you. It's obvious which one we'd prefer. Let's get 'em!~
IF ~~ THEN DO ~
	ActionOverride("ggERbandit01",Enemy()) ActionOverride("ggERbandit02",Enemy()) ActionOverride("ggERbandit03",Enemy()) ActionOverride("ggERbandit04",Enemy()) ActionOverride("ggERbanditL",Enemy()) ~ EXIT
END

IF ~~ THEN BEGIN 3
	SAY ~You heard 'em! let's kill 'em.~
IF ~~ THEN DO ~
	ActionOverride("ggERbandit01",Enemy()) ActionOverride("ggERbandit02",Enemy()) ActionOverride("ggERbandit03",Enemy()) ActionOverride("ggERbandit04",Enemy()) ActionOverride("ggERbanditL",Enemy()) ~ EXIT
END

IF ~~ THEN BEGIN 1
	SAY ~I doubt that! Either the Black Network kills us for betraying them, either Brega executes us, or we kill you. It's obvious which one we'd prefer. Let's get 'em!~
		++ ~Continue~ GOTO 10
END

IF ~~ THEN BEGIN 10
	SAY ~You really think the Black Network would bother with that? Brega is a lot of things, but he's also honest. I believe 'em.~
	++ ~Continue~ GOTO 11
END

IF ~~ THEN BEGIN 11
	SAY ~Yeah, and I've been wanting out for a while... It used to be fun but now? Working with the Zhentarim? That's too far. I'm going to Brega.~
	++ ~Continue~ GOTO 12
END

IF ~~ THEN BEGIN 12
	SAY ~You fools! Once we kill these morons, you're next! Attack!~
IF ~~ THEN DO ~
	IncrementGlobal("ggRedemptionPoints","GLOBAL",1) ActionOverride("ggERbandit01",EscapeArea()) ActionOverride("ggERbandit02",EscapeArea()) ActionOverride("ggERbandit03",Enemy()) ActionOverride("ggERbandit04",Enemy()) ActionOverride("ggERbanditL",Enemy()) ~ EXIT
END

